org.jboss.resteasy.skeleton.key.idm.adapters.infinispan

## Class InfinispanIDM

- java.lang.Object
- - org.jboss.resteasy.skeleton.key.idm.adapters.infinispan.InfinispanIDM

- All Implemented Interfaces:
    IdentityManager

      public class InfinispanIDM
      extends Object
      implements IdentityManager

  Version:
    $Revision: 1 $
  Author:
    Bill Burke

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected org.infinispan.Cache` | `cache`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `InfinispanIDM(org.infinispan.Cache cache)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Realm` | `create(Realm realm)`
    `RequiredCredential` | `create(Realm realm, RequiredCredential cred)`
    `Resource` | `create(Realm realm, Resource resource)`
    `Role` | `create(Realm realm, Resource resource, String roleName)`
    `RoleMapping` | `create(Realm realm, Resource resource, User user, RoleMapping mapping)`
    `ScopeMapping` | `create(Realm realm, Resource resource, User user, ScopeMapping mapping)`
    `Role` | `create(Realm realm, String roleName)`
    `User` | `create(Realm realm, User user)`
    `RoleMapping` | `create(Realm realm, User user, RoleMapping mapping)`
    `ScopeMapping` | `create(Realm realm, User user, ScopeMapping mapping)`
    `UserAttribute` | `create(User user, UserAttribute attribute)`
    `UserCredential` | `create(User user, UserCredential cred)`
    `void` | `delete(Realm realm)`
    `void` | `delete(RequiredCredential cred)`
    `void` | `delete(Resource resource)`
    `void` | `delete(Role role)`
    `void` | `delete(RoleMapping role)`
    `void` | `delete(ScopeMapping scope)`
    `void` | `delete(User user)`
    `void` | `delete(UserAttribute attribute)`
    `void` | `delete(UserCredential cred)`
    `UserCredential` | `getCredential(String id)`
    `List<UserCredential>` | `getCredentials(User user)`
    `Realm` | `getRealm(String id)`
    `RequiredCredential` | `getRealmCredential(String id)`
    `List<Realm>` | `getRealmsByName(String name)`
    `List<RequiredCredential>` | `getRequiredCredentials(Realm realm)`
    `Resource` | `getResource(Realm realm, String name)`
    `Resource` | `getResource(String id)`
    `List<Resource>` | `getResources(Realm realm)`
    `Role` | `getRole(String id)`
    `Role` | `getRoleByName(Realm realm, String roleName)`
    `Role` | `getRoleByName(Resource resource, String roleName)`
    `RoleMapping` | `getRoleMapping(Realm realm, Resource resource, User user)`
    `RoleMapping` | `getRoleMapping(Realm realm, User user)`
    `RoleMapping` | `getRoleMapping(String id)`
    `List<RoleMapping>` | `getRoleMappings(Realm realm)`
    `List<RoleMapping>` | `getRoleMappings(Realm realm, Resource resource)`
    `List<Role>` | `getRoles(Realm realm)`
    `List<Role>` | `getRoles(Realm realm, Resource resource)`
    `ScopeMapping` | `getScopeMapping(Realm realm, Resource resource, User user)`
    `ScopeMapping` | `getScopeMapping(Realm realm, User user)`
    `ScopeMapping` | `getScopeMapping(String id)`
    `List<ScopeMapping>` | `getScopeMappings(Realm realm)`
    `List<ScopeMapping>` | `getScopeMappings(Realm realm, Resource resource)`
    `User` | `getUser(Realm realm, String username)`
    `UserAttribute` | `getUserAttribute(String id)`
    `protected String` | `realmKey(Realm realm)`
    `void` | `update(Realm realm)`
    `void` | `update(RequiredCredential cred)`
    `void` | `update(Resource resource)`
    `void` | `update(User user)`
    `void` | `update(UserAttribute attribute)`
    `void` | `update(UserCredential cred)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### cache

          protected org.infinispan.Cache cache

  - ### Constructor Detail

    - #### InfinispanIDM

          public InfinispanIDM(org.infinispan.Cache cache)

  - ### Method Detail

    - #### getRealm

          public Realm getRealm(String id)

      Specified by:
        `getRealm` in interface `IdentityManager`

    - #### getRealmsByName

          public List<Realm> getRealmsByName(String name)

      Specified by:
        `getRealmsByName` in interface `IdentityManager`

    - #### create

          public Realm create(Realm realm)

      Specified by:
        `create` in interface `IdentityManager`

    - #### update

          public void update(Realm realm)

      Specified by:
        `update` in interface `IdentityManager`

    - #### realmKey

          protected String realmKey(Realm realm)

    - #### delete

          public void delete(Realm realm)

      Specified by:
        `delete` in interface `IdentityManager`

    - #### getRequiredCredentials

          public List<RequiredCredential> getRequiredCredentials(Realm realm)

      Specified by:
        `getRequiredCredentials` in interface `IdentityManager`

    - #### create

          public RequiredCredential create(Realm realm,
                                  RequiredCredential cred)

      Specified by:
        `create` in interface `IdentityManager`

    - #### getRealmCredential

          public RequiredCredential getRealmCredential(String id)

      Specified by:
        `getRealmCredential` in interface `IdentityManager`

    - #### update

          public void update(RequiredCredential cred)

      Specified by:
        `update` in interface `IdentityManager`

    - #### delete

          public void delete(RequiredCredential cred)

      Specified by:
        `delete` in interface `IdentityManager`

    - #### create

          public User create(Realm realm,
                    User user)

      Specified by:
        `create` in interface `IdentityManager`

    - #### getUser

          public User getUser(Realm realm,
                     String username)

      Specified by:
        `getUser` in interface `IdentityManager`

    - #### update

          public void update(User user)

      Specified by:
        `update` in interface `IdentityManager`

    - #### delete

          public void delete(User user)

      Specified by:
        `delete` in interface `IdentityManager`

    - #### create

          public UserCredential create(User user,
                              UserCredential cred)

      Specified by:
        `create` in interface `IdentityManager`

    - #### getCredentials

          public List<UserCredential> getCredentials(User user)

      Specified by:
        `getCredentials` in interface `IdentityManager`

    - #### getCredential

          public UserCredential getCredential(String id)

      Specified by:
        `getCredential` in interface `IdentityManager`

    - #### update

          public void update(UserCredential cred)

      Specified by:
        `update` in interface `IdentityManager`

    - #### delete

          public void delete(UserCredential cred)

      Specified by:
        `delete` in interface `IdentityManager`

    - #### getUserAttribute

          public UserAttribute getUserAttribute(String id)

      Specified by:
        `getUserAttribute` in interface `IdentityManager`

    - #### create

          public UserAttribute create(User user,
                             UserAttribute attribute)

      Specified by:
        `create` in interface `IdentityManager`

    - #### update

          public void update(UserAttribute attribute)

      Specified by:
        `update` in interface `IdentityManager`

    - #### delete

          public void delete(UserAttribute attribute)

      Specified by:
        `delete` in interface `IdentityManager`

    - #### getResource

          public Resource getResource(String id)

      Specified by:
        `getResource` in interface `IdentityManager`

    - #### getResource

          public Resource getResource(Realm realm,
                             String name)

      Specified by:
        `getResource` in interface `IdentityManager`

    - #### getResources

          public List<Resource> getResources(Realm realm)

      Specified by:
        `getResources` in interface `IdentityManager`

    - #### create

          public Resource create(Realm realm,
                        Resource resource)

      Specified by:
        `create` in interface `IdentityManager`

    - #### update

          public void update(Resource resource)

      Specified by:
        `update` in interface `IdentityManager`

    - #### delete

          public void delete(Resource resource)

      Specified by:
        `delete` in interface `IdentityManager`

    - #### getRoleByName

          public Role getRoleByName(Realm realm,
                           String roleName)

      Specified by:
        `getRoleByName` in interface `IdentityManager`

    - #### getRoleByName

          public Role getRoleByName(Resource resource,
                           String roleName)

      Specified by:
        `getRoleByName` in interface `IdentityManager`

    - #### getRoles

          public List<Role> getRoles(Realm realm,
                            Resource resource)

      Specified by:
        `getRoles` in interface `IdentityManager`

    - #### getRoles

          public List<Role> getRoles(Realm realm)

      Specified by:
        `getRoles` in interface `IdentityManager`

    - #### getRole

          public Role getRole(String id)

      Specified by:
        `getRole` in interface `IdentityManager`

    - #### create

          public Role create(Realm realm,
                    Resource resource,
                    String roleName)

      Specified by:
        `create` in interface `IdentityManager`

    - #### create

          public Role create(Realm realm,
                    String roleName)

      Specified by:
        `create` in interface `IdentityManager`

    - #### delete

          public void delete(Role role)

      Specified by:
        `delete` in interface `IdentityManager`

    - #### getRoleMappings

          public List<RoleMapping> getRoleMappings(Realm realm)

      Specified by:
        `getRoleMappings` in interface `IdentityManager`

    - #### getRoleMappings

          public List<RoleMapping> getRoleMappings(Realm realm,
                                          Resource resource)

      Specified by:
        `getRoleMappings` in interface `IdentityManager`

    - #### getRoleMapping

          public RoleMapping getRoleMapping(Realm realm,
                                   User user)

      Specified by:
        `getRoleMapping` in interface `IdentityManager`

    - #### getRoleMapping

          public RoleMapping getRoleMapping(Realm realm,
                                   Resource resource,
                                   User user)

      Specified by:
        `getRoleMapping` in interface `IdentityManager`

    - #### getRoleMapping

          public RoleMapping getRoleMapping(String id)

      Specified by:
        `getRoleMapping` in interface `IdentityManager`

    - #### create

          public RoleMapping create(Realm realm,
                           User user,
                           RoleMapping mapping)

      Specified by:
        `create` in interface `IdentityManager`

    - #### create

          public RoleMapping create(Realm realm,
                           Resource resource,
                           User user,
                           RoleMapping mapping)

      Specified by:
        `create` in interface `IdentityManager`

    - #### delete

          public void delete(RoleMapping role)

      Specified by:
        `delete` in interface `IdentityManager`

    - #### getScopeMappings

          public List<ScopeMapping> getScopeMappings(Realm realm)

      Specified by:
        `getScopeMappings` in interface `IdentityManager`

    - #### getScopeMappings

          public List<ScopeMapping> getScopeMappings(Realm realm,
                                            Resource resource)

      Specified by:
        `getScopeMappings` in interface `IdentityManager`

    - #### getScopeMapping

          public ScopeMapping getScopeMapping(Realm realm,
                                     User user)

      Specified by:
        `getScopeMapping` in interface `IdentityManager`

    - #### getScopeMapping

          public ScopeMapping getScopeMapping(Realm realm,
                                     Resource resource,
                                     User user)

      Specified by:
        `getScopeMapping` in interface `IdentityManager`

    - #### getScopeMapping

          public ScopeMapping getScopeMapping(String id)

      Specified by:
        `getScopeMapping` in interface `IdentityManager`

    - #### create

          public ScopeMapping create(Realm realm,
                            User user,
                            ScopeMapping mapping)

      Specified by:
        `create` in interface `IdentityManager`

    - #### create

          public ScopeMapping create(Realm realm,
                            Resource resource,
                            User user,
                            ScopeMapping mapping)

      Specified by:
        `create` in interface `IdentityManager`

    - #### delete

          public void delete(ScopeMapping scope)

      Specified by:
        `delete` in interface `IdentityManager`

Copyright © 2014. All Rights Reserved.